function representanteLegal() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const protractorHelper = require('protractor-helper');

	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		z.component.menu.clickByPath(['Parametrização', 'Contábil', 'Representante Legal']);
		geral.esperarLoading();
		z.component.footer.clickRightActionByLabel('Filtrar', true);
	};

	this.adicionar = (codigo, nome, cpf, qualificacao, cep, ddd, telefone, email) => {
		geral.clickAndFillFields('CDREPRES', codigo,
			'NMREPRES', nome,
			'NRCPFREPRES', cpf,
			'NRCEPREPRES', cep,
			'NRDDDTELEREPRES1', ddd,
			'NRTELEREPRES1', telefone,
			'DSEMAILREPRES', email);
		geral.searchAndClickGridField('NMQUALIFASSINA', qualificacao);
	};

	this.editar = (nome1, cpf1, qualificacao1, cep1, ddd1, telefone1, email1) => {
		geral.fillFields('NMREPRES', nome1,
			'NRCPFREPRES', cpf1,
			'NRCEPREPRES', cep1,
			'NRDDDTELEREPRES1', ddd1,
			'NRTELEREPRES1', telefone1,
			'DSEMAILREPRES', email1);
		geral.clickLimparAutoComplete('NMQUALIFASSINA');
		geral.searchAndClickGridField('NMQUALIFASSINA', qualificacao1);
	};
}
module.exports = new representanteLegal();
